View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000560Ecere SDKidepublic2010-09-21 14:462013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000560: ide: crash while closing many files rapidly
Descriptionide: crash while closing many files rapidly
Steps To Reproduceopen many files (all the files of ecere.epj maybe or ide.epj)
and use the close button to close them all in a rapid fashion
Additional Information  0 __ecereNameSpace__ecere__sys__SplitArchivePath Function, src\com\String.ec:163
  1 __ecereNameSpace__ecere__sys__FileExists Function, src\sys\File.ec:826
  2 __ecereNameSpace__ecere__sys__MonitorThread_Main Method, src\sys\FileMonitor.ec:370
  3 __ecereNameSpace__ecere__sys__Thread_ThreadCallBack Method, src\sys\Thread.ec:64
  4 inside KERNEL32!GetModuleFileNameA, C:\WINDOWS\system32\kernel32.dll
  5 ??
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000379)
redj (administrator)
2010-09-21 14:48

monitor.fileName is null
FileAttribs exists = FileExists(monitor.fileName);
if(SplitArchivePath(fileName, archiveName, &archiveFile))
if(fileName[0] == '<')
(0000380)
redj (administrator)
2010-09-21 15:09

Added revision 18 to sdk\ecere\src\sys\FileMonitor.ec

- Issue History
Date Modified Username Field Change
2010-09-21 14:46 redj New Issue
2010-09-21 14:46 redj Status new => assigned
2010-09-21 14:46 redj Assigned To => redj
2010-09-21 14:48 redj Note Added: 0000379
2010-09-21 15:09 redj Status assigned => resolved
2010-09-21 15:09 redj Resolution open => fixed
2010-09-21 15:09 redj Note Added: 0000380
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker